Installation problem

12 years 3 months ago #66926 by rofar
Installation problem was created by rofar
This "Installation problem" thread is in reference to the following: Installation problem thread

I have tried to install CB 1.2 RC2. I am getting the following full reported errors:

Notice: Trying to get property of non-object in /var/www/html/mysite/administrator/components/com_comprofiler/plugin.foundation.php on line 1840

Notice: Trying to get property of non-object in /var/www/html/mysite/administrator/components/com_comprofiler/plugin.foundation.php on line 1840

Notice: Trying to get property of non-object in /var/www/html/mysite/administrator/components/com_comprofiler/plugin.foundation.php on line 1840

Notice: Trying to get property of non-object in /var/www/html/mysite/administrator/components/com_comprofiler/plugin.foundation.php on line 1840

Warning: require_once(/administrator/components/com_comprofiler/library/cb/cb.database.php) [function.require-once]: failed to open stream: No such file or directory in /var/www/html/mysite/administrator/components/com_comprofiler/plugin.foundation.php on line 91

Fatal error: require_once() [function.require]: Failed opening required '/administrator/components/com_comprofiler/library/cb/cb.database.php' (include_path='.:/php/includes:/usr/local/lib/php:/usr/local/php/lib/php') in /var/www/html/mysite/administrator/components/com_comprofiler/plugin.foundation.php on line 91



Line 1840 reads:

$_CB_framework = new CBframework( $mainframe, $database, $acl, $aclParams, $sefFunc, $sefFuncHtmlEnt, $cmsUser, $cmsUserNeedsDb, $cmsRedirectFunc, $my->id, $my->username, $my->usertype, $my->gid, $myLanguage, array( 'option' => $optionOfCb ), $outputCharst, $editorDisplay );



Line 91 reads:

require_once( $_CB_framework->getCfg('absolute_path') . '/administrator/components/com_comprofiler/library/' . $filepath );

I hope we can fix this!

My theory is that it has to do something with absolute paths to files it cannot find. So, how to fix that, I don't know!

Using Joomla 1.5.9, CB 1.2 RC4 on a Linux server, with PHP 5.2.6, MySQL5 5.0.27 and eAccelerator 0.9.5.3. (No backend access for support.)

Please Log in to join the conversation.

12 years 3 months ago #66940 by beat
Replied by beat on topic Re:Installation problem
It looks to me like 2 issues which are not due to CB but affecting CB:


1) something (a mambot/plugin/hack) does undefine/modify $my which is a joomla/mambo system global variable.

unpublish installed system mambots one by one to find the culprit.


2) your CB isn't installed completely due to probably another reason. Take a look in:

administrator/components/com_comprofiler/library

and in

administrator/components/com_comprofiler/library/cb

and compare that to the same folder as in the comprofiler.zip package.

move the missing folders/files to your server to resolve that issue.

Or do an expert upgrade (which is basically moving all CB 1.2 RC 2 files to your server, and then going to CB -> tools -> check CB database -> upgrade/fix.

Beat - Community Builder Team Member

Before posting on forums: Read FAQ thoroughly -- Help us spend more time coding by helping others in this forum, many thanks :)
CB links: Our membership - CBSubs - Templates - Hosting - Forge - Send me a Private Message (PM) only for private/confidential info

Please Log in to join the conversation.

12 years 3 months ago #66965 by Terp
Replied by Terp on topic Re:Installation problem
beat wrote:

Or do an expert upgrade (which is basically moving all CB 1.2 RC 2 files to your server, and then going to CB -> tools -> check CB database -> upgrade/fix.


Being new to CB, I wantedd to ask this...sounds like the proper way to upgrade from RC1 to RC2 would be just that?

Unzip expert files, move to server replacing old files, then CB -> tools -> check DB database -> Upgrade/Fix? :)

Please Log in to join the conversation.

12 years 3 months ago #66971 by beat
Replied by beat on topic Re:Installation problem
Terp wrote:

beat wrote:

Or do an expert upgrade (which is basically moving all CB 1.2 RC 2 files to your server, and then going to CB -> tools -> check CB database -> upgrade/fix.


Being new to CB, I wantedd to ask this...sounds like the proper way to upgrade from RC1 to RC2 would be just that?

Unzip expert files, move to server replacing old files, then CB -> tools -> check DB database -> Upgrade/Fix? :)


Yup, as a general rule of thumb, yes + edit and save CB configuration. If possible, untargzip directly on the server, in the root folder. Of course follow the README instructions, which are more detailed :D + Backup first as always, right ? ;)

The expert upgrade allows you to not to have to reinstall the CB plugins, as those files get removed by joomla when you uninstall CB. "Expert" was meaning knowing FTP + untargziping + phpMyAdmin, but with CB 1.2 the phpMyAdmin expertise-requirement falls away. :)

If you have other questions regarding this, please open a separate thread, to avoid hyjacking this one. Thanks :)

Beat - Community Builder Team Member

Before posting on forums: Read FAQ thoroughly -- Help us spend more time coding by helping others in this forum, many thanks :)
CB links: Our membership - CBSubs - Templates - Hosting - Forge - Send me a Private Message (PM) only for private/confidential info

Please Log in to join the conversation.

12 years 3 months ago #66981 by rofar
Replied by rofar on topic Re:Installation problem
Okay, I am going to attempt a manual expert install. I have *matched* up all of the files in the folders where they individually need to go. However, where do I put the ue_config.php file? It's not in the expert installation folder but it's in the com_comprofiler zip file.

Using Joomla 1.5.9, CB 1.2 RC4 on a Linux server, with PHP 5.2.6, MySQL5 5.0.27 and eAccelerator 0.9.5.3. (No backend access for support.)

Please Log in to join the conversation.

12 years 3 months ago #66984 by nant
Replied by nant on topic Re:Installation problem
rofar wrote:

Okay, I am going to attempt a manual expert install. I have *matched* up all of the files in the folders where they individually need to go. However, where do I put the ue_config.php file? It's not in the expert installation folder but it's in the com_comprofiler zip file.


You don't need to match up - the expert upgrade package already has done this for you.

Please Log in to join the conversation.

Moderators: beatnantkrileon
Time to create page: 0.422 seconds

Facebook Twitter LinkedIn